> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new group



## OpenAPI

````yaml post /admin/groups
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/groups:
    post:
      tags:
        - Admins & Permissions
      summary: Create a new group
      operationId: 0707cc0af26de88a9c121654fa403223
      requestBody:
        description: Group details
        required: true
        content:
          application/json:
            schema:
              properties:
                account:
                  type: string
                  example: ''
                admins:
                  type: string
                  example: ''
                donations:
                  type: string
                  example: ''
                email_manager:
                  type: string
                  example: ''
                form_report:
                  type: string
                  example: ''
                forms:
                  type: string
                  example: ''
                disable_entity_archive:
                  type: string
                  example: ''
                manage_designations:
                  type: string
                  example: ''
                manage_email:
                  type: string
                  example: ''
                manage_programs:
                  type: string
                  example: ''
                manage_settings:
                  type: string
                  example: ''
                new_form:
                  type: string
                  example: ''
                group_all:
                  type: string
                  example: '1'
                groups:
                  type: string
                  example: ''
                disable_donor_archive:
                  type: string
                  example: ''
                disable_donor_delete:
                  type: string
                  example: ''
                disable_donor_restore:
                  type: string
                  example: ''
                disable_entity_delete:
                  type: string
                  example: ''
                disable_entity_restore:
                  type: string
                  example: ''
                disable_message_send_without_approval:
                  type: string
                  example: ''
                client_id:
                  type: string
                  example: '207'
                name:
                  type: string
                  example: sample
                group_id:
                  type: string
                  example: ''
                program-929:
                  type: string
                  example: '1'
                donor-639:
                  type: string
                  example: '1'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Created Group
                type: object
        '400':
          description: Invalid input supplied
        '404':
          description: Client not found
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````